//
//  Profile.m
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "Profile.h"

@implementation Profile

@synthesize firstName = _firstName;
@synthesize lastName = _lastName;
@synthesize email = _email;

- (id) initWithFirstName:(NSString*)first LastName:(NSString*)last Email:(NSString*)email {
    self = [super init];
    if (self) {
        self.firstName = first;
        self.lastName = last;
        self.email = email;
    }
    return self;
}

- (id) init {
    return [self initWithFirstName:@"Ken" LastName:@"Anderson" Email:@"kena@cs.colorado.edu"];
}

+ (id) randomProfile {
    
    NSArray* randomFirstNames = [NSArray arrayWithObjects:@"Ken", @"Max", @"Miles", @"Lilja", @"Leysia", @"Jim", @"Greg", @"Tom", @"Marilyn", nil];
    NSArray* randomLastNames = [NSArray arrayWithObjects:@"Anderson", @"Palen", @"Berney", @"Hendrickson", @"Johnson", @"Bolcer", @"Salzman", nil];
    NSArray* randomCompanyNames = [NSArray arrayWithObjects:@"apple", @"microsoft", @"google", @"yahoo", nil];
    NSArray* randomSuffixNames = [NSArray arrayWithObjects:@"com", @"edu", @"net", @"org", nil];
    
    int firstIndex = rand() % [randomFirstNames count];
    int lastIndex = rand() % [randomLastNames count];
    int companyIndex = rand() % [randomCompanyNames count];
    int suffixIndex = rand() % [randomSuffixNames count];
    
    NSString* email = [NSString stringWithFormat:@"%@@%@.%@",
                       [[randomFirstNames objectAtIndex:firstIndex] lowercaseString],
                       [randomCompanyNames objectAtIndex:companyIndex],
                       [randomSuffixNames objectAtIndex:suffixIndex]];
    
    return [[self alloc] initWithFirstName:[randomFirstNames objectAtIndex:firstIndex]
                                  LastName:[randomLastNames objectAtIndex:lastIndex]
                                     Email:email];

}

- (NSString*) fullName {
    return [NSString stringWithFormat:@"%@ %@", self.firstName, self.lastName];
}

- (NSString*) description {
    return [NSString stringWithFormat:@"%@ <%@>", [self fullName], self.email];
}


@end
