//
//  ProfilesViewController.m
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ProfilesViewController.h"
#import "Profile.h"
#import "Profiles.h"

@interface ProfilesViewController ()

@property (nonatomic, strong) Profiles* profiles;

@end

@implementation ProfilesViewController

@synthesize profiles = _profiles;

- (id) initWithStyle:(UITableViewStyle)style {
    return [self init];
}

- (id) init {
    self = [super initWithStyle:UITableViewStylePlain];
    
    if (self) {
        
        self.navigationItem.title = @"Profiles";
        self.navigationItem.leftBarButtonItem = self.editButtonItem;
        self.navigationItem.rightBarButtonItem =
            [[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAdd target:self action:@selector(handleAdd:)];
        self.profiles = [[Profiles alloc] init];
        for (int i = 0; i < 20; i++) {
            [self.profiles createProfile];
        }
    }
    
    return self;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return [[self.profiles allProfiles] count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell* cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:@"UITableViewCell"];
    }
    
    Profile* p = [[self.profiles allProfiles] objectAtIndex:indexPath.row];
    
    cell.textLabel.text = [p fullName];
    cell.detailTextLabel.text = p.email;
    
    return cell;
    
}

@end
