//
//  ProfileViewController.m
//  ProfileViewer
//
//  Created by Ken Anderson on 11/2/11.
//  Copyright (c) 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ProfileViewController.h"
#import "Profile.h"

@implementation ProfileViewController

@synthesize firstName = _firstName;
@synthesize lastName = _lastName;
@synthesize email = _email;
@synthesize profile = _profile;

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor groupTableViewBackgroundColor];
}

- (void)viewDidUnload {
    self.firstName = nil;
    self.lastName = nil;
    self.email = nil;
    self.profile = nil;
    [super viewDidUnload];
}

- (void) viewWillAppear:(BOOL)animated {
    [super viewWillAppear:animated];
    
    self.firstName.text = self.profile.firstName;
    self.lastName.text = self.profile.lastName;
    self.email.text = self.profile.email;
    
    self.navigationItem.title = self.profile.fullName;

}

- (void) viewWillDisappear:(BOOL)animated {
    [super viewWillDisappear:animated];
    
    [self.view endEditing:YES];

    self.profile.firstName = self.firstName.text;
    self.profile.lastName = self.lastName.text;
    self.profile.email = self.email.text;
        
}


@end
